package com.cedarsoft.spring.rcp;

import org.jetbrains.annotations.NotNull;
import org.springframework.richclient.dialog.DialogPage;

/**
 * Provides a tab
 */
public interface TabProvider {
  /**
   * Creates the tab
   *
   * @return the dialog page that is used within the tab
   */
  @NotNull
  DialogPage createTab();
}