/**
 This package contains prepared configurations for beans.
 It is possible to create the UI for a bean only with a few calls.

 There are several "key" beans that can be used.

 <ul>
 <li>{@link BeanUiAccess}: This bean offers access to
 <ul>
 <li>a Binder: Can be used to bind this bean within a form
 <li>a BeansDisplay: Can be used to show *all* beans of the given type (typically in a view)
 <li>an Agent: Can be used to invoke creation/edition/deletion of a given bean
 </ul>
 </ul>

 */
package com.cedarsoft.spring.rcp.beans;

