package com.cedarsoft.spring.rcp.binding;

import org.jetbrains.annotations.Nullable;
import org.springframework.richclient.selection.binding.support.LabelProvider;

import java.awt.Color;

/**
 * Colored label provider
 */
public interface ColoredLabelProvider extends LabelProvider {
  /**
   * Returns the (optional) foreground
   *
   * @param newValue the new value
   * @return the color
   */
  @Nullable
  Color getForeground( @Nullable Object newValue );
}