package com.cedarsoft.spring.rcp.commands;

import org.jetbrains.annotations.Nullable;
import org.springframework.richclient.command.ActionCommand;

/**
 * Provides a single command
 */
public interface SimpleCommandProvider {
  /**
   * Returns the command
   *
   * @return the command
   */
  @Nullable
  ActionCommand getCommand();
}
