package com.cedarsoft.spring.rcp.events;

import org.jetbrains.annotations.NotNull;
import org.springframework.context.ApplicationEvent;

/**
 *
 */
public class UiUpdateEvent extends ApplicationEvent {
  @NotNull
  private final Type type;

  public UiUpdateEvent( @NotNull Object source, @NotNull Type type ) {
    super( source );
    this.type = type;
  }

  @NotNull
  public Type getType() {
    return type;
  }

  public enum Type {
    DEACTIVATE_UPDATES,
    ACTIVATE_UPDATES
  }

}
