package com.cedarsoft.spring.rcp.table;

import org.apache.commons.lang.ObjectUtils;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.Nullable;

import java.util.Comparator;

/**
 *
 */
public class ToStringComparator implements Comparator<Object> {
  public static final ToStringComparator INSTANCE = new ToStringComparator();

  public int compare( @Nullable Object o1, @Nullable Object o2 ) {
    @NonNls String s1 = ObjectUtils.toString( o1 );
    @NonNls String s2 = ObjectUtils.toString( o2 );

    return s1.compareTo( s2 );
  }
}
