package com.cedarsoft.spring.rcp.table.renderer;

import com.cedarsoft.spring.SpringSupport;
import com.cedarsoft.spring.rcp.table.renderer.AbstractTableCellRenderer;
import org.jetbrains.annotations.NotNull;

import javax.swing.JTable;
import java.awt.Component;

/**
 *
 */
public class EnumTableCellRenderer extends AbstractTableCellRenderer<Enum> {
  public EnumTableCellRenderer() {
    super( Enum.class );
  }

  @Override
  public Component getTableCellRendererComponent( JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column ) {
    return super.getTableCellRendererComponent( table, value, isSelected, hasFocus, row, column );
  }

  @Override
  @NotNull
  protected String format( @NotNull Enum object ) {
    return SpringSupport.INSTANCE.getMessage( object );
  }
}
