package com.cedarsoft.spring.rcp.table.renderer;

import com.cedarsoft.spring.SpringSupport;
import org.jetbrains.annotations.NotNull;

/**
 *
 */
public class TranslatingCellRenderer extends AbstractTableCellRenderer<String> {
  @NotNull
  private static final SpringSupport springSupport = SpringSupport.INSTANCE;

  public TranslatingCellRenderer() {
    super( String.class );
  }

  public TranslatingCellRenderer( boolean alignRight ) {
    super( String.class, alignRight );
  }

  @NotNull
  @Override
  protected String format( @NotNull String object ) {
    return springSupport.getMessage( object );
  }
}
