package com.cedarsoft.spring.rcp.tbpanel.config;

import com.cedarsoft.spring.rcp.table.ObjectTable;
import org.jetbrains.annotations.NotNull;
import org.springframework.binding.value.ValueModel;
import org.springframework.richclient.list.ListSelectionValueModelAdapter;

/**
 * Configures the command guards for the table
 */
@Deprecated
public abstract class CommandGuardsConfigurer<T> implements ObjectTableConfigurer<T> {
  @Override
  public void configurePreShow( @NotNull ObjectTable<T> objectTable ) {
  }

  @Override
  public void configurePostShow( @NotNull ObjectTable<T> objectTable ) {
    ValueModel selectionHolder = new ListSelectionValueModelAdapter( objectTable.getSelectionModel() );
    configureCommandGuards( selectionHolder );
  }

  /**
   * Is called to configure the commands
   *
   * @param selectionHolder the selection holder for the table
   */
  protected abstract void configureCommandGuards( @NotNull ValueModel selectionHolder );
}
