package com.cedarsoft.spring.rcp.tree.layered.aspects;

import com.cedarsoft.spring.rcp.tree.layered.DefaultTreeLayer;
import org.jetbrains.annotations.NotNull;

/**
 * Modifies a tree layer
 */
public interface TreeLayerAspect<P, C> {
  /**
   * Apply this aspect to the layer
   *
   * @param layer the layer
   */
  void apply( @NotNull DefaultTreeLayer<P, C> layer );
}