package com.cedarsoft.spring.rcp;

import org.jetbrains.annotations.NotNull;

import javax.swing.JComponent;

/**
 * Provides a component
 */
public interface ComponentProvider {
  /**
   * Creates the component
   *
   * @return the component
   */
  @NotNull
  JComponent createComponent();
}