package com.cedarsoft.spring.rcp;

import com.cedarsoft.spring.SpringSupport;
import com.cedarsoft.spring.rcp.renderer.DefaultLabelProvider;
import org.jetbrains.annotations.NotNull;

/**
 * Label Provider that translates enumerations
 */
public class EnumLabelProvider extends DefaultLabelProvider<Enum<?>> {
  @Override
  @NotNull
  protected String getLabelFor( @NotNull Enum<?> item ) {
    return SpringSupport.INSTANCE.getMessage( item );
  }
}
