package com.cedarsoft.spring.rcp;

import org.jetbrains.annotations.NotNull;
import org.springframework.richclient.application.PageComponentContext;

/**
 * Implementing classes can be notified about a changed page compoenent context
 */
public interface PageComponentContextAware {
  /**
   * Updates the context
   *
   * @param context the context
   */
  void updateContext( @NotNull PageComponentContext context );
}