package com.cedarsoft.spring.rcp.hierarchy;

import com.cedarsoft.spring.SpringSupport;
import com.cedarsoft.utils.Renderer;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

/**
 *
 */
public class TranslateClassNameRenderer implements Renderer<Object, Object> {
  @Override
  @NotNull
  public String render( @NotNull Object object, @Nullable Object context ) {
    return SpringSupport.INSTANCE.getMessage( object.getClass().getName() );
  }
}
