package com.cedarsoft.spring.rcp.jide;

import com.jidesoft.document.DocumentPane;
import com.jidesoft.swing.JideTabbedPane;
import org.jetbrains.annotations.NotNull;

/**
 * Customiser for the JideTabbedPane
 */
public class EditorPaneCustomizer implements DocumentPane.TabbedPaneCustomizer {
  @Override
  public void customize( @NotNull JideTabbedPane jideTabbedPane ) {
    jideTabbedPane.setHideOneTab( true );
    jideTabbedPane.setShowGripper( true );
    jideTabbedPane.setShowCloseButton( true );
    jideTabbedPane.setBoldActiveTab( true );
    jideTabbedPane.setColorTheme( JideTabbedPane.COLOR_THEME_WINXP );
  }
}
