package com.cedarsoft.spring.rcp.jide;

import com.jidesoft.swing.JideMenu;
import com.jidesoft.swing.JidePopupMenu;
import org.springframework.richclient.factory.DefaultMenuFactory;

import javax.swing.JMenu;
import javax.swing.JPopupMenu;

/**
 *
 */
public class JideMenuFactory extends DefaultMenuFactory {
  private int preferredPopupHorizontalAlignment = JideMenu.LEFT;

  public void setPreferredPopupHorizontalAlignment( int alignment ) {
    this.preferredPopupHorizontalAlignment = alignment;
  }

  @Override
  public JPopupMenu createPopupMenu() {
    return new JidePopupMenu();
  }

  @Override
  public JMenu createMenu() {
    JideMenu menu = new JideMenu();
    menu.setPreferredPopupHorizontalAlignment( preferredPopupHorizontalAlignment );
    return menu;
  }
}
