package com.cedarsoft.utils.springrcp.beanlist;

import org.jetbrains.annotations.NotNull;
import org.springframework.richclient.command.AbstractCommand;

/**
 * <p/>
 * Date: 29.08.2006<br>
 * Time: 14:44:48<br>
 *
 * @author <a href="http://johannes-schneider.info">Johannes Schneider</a> -
 *         <a href="http://www.xore.de">Xore Systems</a>
 */
public interface BeanListCommandFactory {
  @NotNull
  AbstractCommand getDeleteCommand();

  @NotNull
  AbstractCommand getPropertiesCommand();

  @NotNull
  AbstractCommand getNewCommand();

  void initialize();
}